Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] main/mdocml: split soelim into subpackage

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Sun, 14 Aug 2016 13:09:11 -0400

---
 main/mdocml/APKBUILD | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)
diff --git a/main/mdocml/APKBUILD b/main/mdocml/APKBUILD
index c266fef..9e95df8 100644
--- a/main/mdocml/APKBUILD
+++ b/main/mdocml/APKBUILD
_at_@ -10,7 +10,7 @@ depends=""
 makedepends="sqlite-dev zlib-dev"
 install="$pkgname.post-deinstall"
 triggers="$pkgname-apropos.trigger=/usr/share/man/*"
-subpackages="$pkgname-doc $pkgname-dev man $pkgname-apropos"
+subpackages="$pkgname-doc $pkgname-dev man $pkgname-apropos $pkgname-soelim"
 source="http://mdocml.bsd.lv/snapshots/$pkgname-$pkgver.tar.gz
 	shared-libmandoc.patch
 	pager.patch
_at_@ -64,6 +64,14 @@ apropos() {
 		"$subpkgdir"/usr/sbin/ || return 1
 }
 
+soelim() {
+	pkgdesc="so elimination tool"
+	depends=""
+	mkdir -p "$subpkgdir"/usr/bin
+	mv "$pkgdir"/usr/bin/soelim \
+		"$subpkgdir"/usr/bin/ || return 1
+}
+
 md5sums="797d4f0e112479f8861e03a72f8b8b01  mdocml-1.13.4.tar.gz
 07aff0e8b4766aa22bddc2969aa158cf  shared-libmandoc.patch
 1b7b756e3a996f146971785bd3aeede5  pager.patch
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Aug 14 2016 - 13:09:11 GMT